# set upstream name variable
%global srcname xeddsa


Name:           python-xeddsa
Version:        0.6.0
Release:        1%{?dist}
Summary:        Python implementation of the XEdDSA signature scheme

License:        MIT
URL:            https://github.com/Syndace/%{name}
Source0:        https://github.com/Syndace/%{name}/archive/v%{version}-beta.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3-cffi
BuildRequires:  python3-pynacl
# required by setup.py
BuildRequires:  make
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++

%description
This python library offers an open implementation of the XEdDSA
signature scheme.



%package     -n python3-%{srcname}
Summary:        Python implementation of the XEdDSA signature scheme

%description -n python3-%{srcname}
This python library offers an open implementation of the XEdDSA
signature scheme.



%prep
%autosetup -n %{name}-%{version}-beta


%build
%py3_build


%install
%py3_install


%check
# Unit tests perform DNS resolution and requires active Internet
# connection: disabling
##%{__python3} setup.py test



%files -n python3-%{srcname}
%license LICENSE
%doc README.md
# For arch-specific packages: sitearch
%{python3_sitearch}/%{srcname}/
%{python3_sitearch}/_crypto_sign.abi3.so
%{python3_sitearch}/XEdDSA-0.6.0-py3.9.egg-info/



%changelog
* Wed Dec 09 2020 Matthieu Saulnier <fantom@fedoraproject.org> - 0.6.0-1
- Initial package
